(function() {
  axios.get(baseUrl + '/api/common/intercept', {
    params: {
      channel: channel,
      product_id: '',
      type: 'ml'
    }
  }).then(res => {
    if (res.data.is_intercept === 'yes') {
      let url = '..' + res.data.path
      backLanjie(url)
    }
  })
})()

//封装的常规操作，跳转到其他页面
function toUrl(url){
  //首先跳回顶点，防止多次添加记录
  window.history.pushState({target:  "Final",}, "", location.href);
  location.href=url;
}

//回退到上一级
function back() {
    let backCount=history.state.target == "Final"?-3:-2;
    history.go(backCount);
}

//停留在本页面
function stay() {
    history.forward();
}

//实际的拦截操作
function backLanjie(url) {
  //此处添加500毫秒延迟，目的是等待历史记录变化之后再添加空地址，使空地址能准确添加到栈顶，防止出错
  setTimeout(() => {
    if (!(history.state && history.state.target == "Final")) {
        window.history.pushState({target: "MeanSure", random: Math.random()}, "", location.href);
        window.history.pushState({target: "Final", random: Math.random()}, "", location.href);
    }
    window.addEventListener("popstate", function (e) {
      if (e.state && e.state.target == "MeanSure") {
        toUrl(url)
      }
    }, false);
  }, 500);
}